CALIBRE-SMTP(1)

NAME
calibre-smtp - calibre-smtp

calibre-smtp [alternativ] [from to text]

Skicka post genom använda SMTP-protokollet. calibre-smtp har två lägen av utförande. I läget komponera anger du från- och till-text som används för att bygga och skicka ett e-postmeddelande. I läget filtrera, läser calibre-smtp ett komplett e-postmeddelande från STDIN och skickar det.

text är huvudtexten av e-postmeddelandet. Om text inte anges, läses ett komplett e-postmeddelande från STDIN. från är avsändare och till är mottagare av e-postmeddelandet. När ett komplett e-postmeddelande är läst från STDIN, används bara från och till i SMTP-förhandlingen, meddelandehuvuden modifieras inte.

När du skickar argument till calibre-smtp som har mellanslag i dem, bifoga argumenten i citattecken. Till exempel: "/some path/with spaces"

[ALTERNATIV]

--fork, -f
    Dela upp och leverera meddelande i bakgrunden. Om du använder detta alternativ bör du också använda --outbox för hantera misslyckade leveranser.

--help, -h
    visa denna hjälptext och avsluta

--localhost, -l
    Värdnamn av lokalvärden. Används vid anslutning till SMTP-server.

--outbox, -o
    Sökväg till maildir-mappen för att lagra misslyckade leveranser av postmeddelande i.

--timeout, -t
    Tidsbegränsning för förbindelse

--verbose, -v
    Var mer informativ

--version
    visar programmets versionsnummer och avsluta

  COMPOSE MAIL

Alternativ för att komponera e-post. Ignoreras om ingen text anges

--attachment, -a
    Fil att bifoga till e-posten

--subject, -s
    Ämnesrad för e-posten

  SMTP RELAY

Alternativ vid användning av en SMTP-reläserver för att skicka post. calibre kommer försöka skicka direkt om inte --relay anges.

--cafile
    Path to a file of concatenated CA certificates in PEM format, used to verify the server certificate when using TLS. By default, the system CA certificates are used.

--dont-verify-server-certificate
    Do not verify the server certificate when connecting using TLS. This used to be the default behavior in calibre versions before 3.27. If you are using a relay with a self-signed or otherwise invalid certificate, you can use this option to restore the pre 3.27 behavior

--encryption-method, -e
    Krypteringsmetod att använda vid anslutning till reläserver. Valen är TLS, SSL och INGEN. Standard är TLS. VARNING: Att välja INGEN är högst osäkert

--password, -p
    Lösenord för reläserver

--port
    Port att ansluta till reläserver. Standard är att använda 465 om krypteringsmetod är SSL och annars 25.

--relay, -r
    En SMTP-reläserver för att skicka post.

--username, -u
    Användarnamn för reläserver

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal